Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.messages
Class ExportMessage

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
          org.eclipse.ohf.ihe.atna.audit.messages.ExportMessage

All Implemented Interfaces:
  java.io.Serializable

    public class ExportMessage

extends AuditMessage
implements java.io.Serializable

Java class for ExportMessage .

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_SAMPLE_PROPERTY`

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`DB_AuditMessage, VARCHAR_LENGTH`

Constructor Summary
`ExportMessage()` Default constructor ...
`ExportMessage(java.lang.String eventDateTime, int eventOutcomeIndicator, java.lang.String userIDActiveParticipantExporter, java.lang.String userIDActiveParticipantDestination, java.lang.String participantObjectStudyInstanceUID, java.lang.String participantObjectPatientId)` Constructor of the export event audit message.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.lang.String` | `getSampleProperty()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setSampleProperty(java.lang.String value)`

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`getAuditSourceIdentification, getEventIdentification, getParticipantObjectIdentification, IsValid, main, parse, setActiveParticipant, setAuditSourceId, setAuditSourceIdentification, setEventDateTime, setEventIdentification, setEventOutcomeIndicator, setParticipantObjectId, setParticipantObjectQuery, setParticipationObjectIdentification, setUserIDActiveParticipantConsumer, setUserIDActiveParticipantRegistry, toHtml, toXml`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SAMPLE_PROPERTY

    public static final java.lang.String PROP_SAMPLE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### ExportMessage

    public ExportMessage(java.lang.String eventDateTime,
                         int eventOutcomeIndicator,
                         java.lang.String userIDActiveParticipantExporter,
                         java.lang.String userIDActiveParticipantDestination,
                         java.lang.String participantObjectStudyInstanceUID,
                         java.lang.String participantObjectPatientId)
                  throws javax.xml.parsers.ParserConfigurationException,
                         javax.xml.parsers.FactoryConfigurationError,
                         ATNAException

  Constructor of the export event audit message. Createsthe message, fill the AuditMessage data, create the XML nodes with DOM.

  Parameters:
    `eventDateTime` - Date of the message generation, it should have this format :
    2006-07-05T19:28:00.140-04:00
    `eventOutcomeIndicator` - The eventOutcomeIndicator should be :
    0 : Success
    4 : Minor failure
    8 : Serious failure
    12: Major failure; action made unavailable
    `userIDActiveParticipantExporter` - Identity of the consumer
    `userIDActiveParticipantDestination` - Identity of the registry
    `participantObjectStudyInstanceUID` - Id of the data exported
    `participantObjectPatientId` - Id of the patient
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`

### ExportMessage

    public ExportMessage()
                  throws javax.xml.parsers.ParserConfigurationException,
                         javax.xml.parsers.FactoryConfigurationError,
                         ATNAException

  Default constructor ... not sure why this is used ... but it should not be unless the user intends to complete the remaining fields for it does not form a complete export audit event message.

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`

Method Detail

### getSampleProperty

    public java.lang.String getSampleProperty()

### setSampleProperty

    public void setSampleProperty(java.lang.String value)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD